Summary: Zstandard - Fast real-time compression algorithm
Name: zstd
Version: 1.5.6
Release: r0
License: BSD-3-Clause | GPL-2.0-only
Group: console/utils
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://www.zstd.net/
Source0: zstd-1.5.6-r0.tar.xz
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc
Requires: /bin/sh
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.2)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.32)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.6)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libgcc1 >= 14.2.0
Requires: libgcc_s.so.1()(64bit)
Requires: libgcc_s.so.1(GCC_3.0)(64bit)
Requires: libstdc++.so.6()(64bit)
Requires: libstdc++.so.6(CXXABI_1.3)(64bit)
Requires: libstdc++.so.6(CXXABI_1.3.15)(64bit)
Requires: libstdc++.so.6(CXXABI_1.3.9)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.11)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.14)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.17)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.19)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.20)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.21)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.22)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.29)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.30)(64bit)
Requires: libstdc++6 >= 14.2.0
Requires: rtld(GNU_HASH)

%description
Zstandard is a fast lossless compression algorithm, targeting real-time
compression scenarios at zlib-level and better compression ratios. It's
backed by a very fast entropy stage, provided by Huff0 and FSE library.

%package -n zstd-src
Summary: Zstandard - Fast real-time compression algorithm - Source files
License: BSD-3-Clause | GPL-2.0-only
Group: devel

%description -n zstd-src
Zstandard is a fast lossless compression algorithm, targeting real-time
compression scenarios at zlib-level and better compression ratios. It's
backed by a very fast entropy stage, provided by Huff0 and FSE library.
This package contains sources for debugging purposes.

%package -n zstd-dbg
Summary: Zstandard - Fast real-time compression algorithm - Debugging files
License: BSD-3-Clause | GPL-2.0-only
Group: devel
Recommends: glibc-dbg
Recommends: libgcc-dbg
Recommends: libstdc++-dbg

%description -n zstd-dbg
Zstandard is a fast lossless compression algorithm, targeting real-time
compression scenarios at zlib-level and better compression ratios. It's
backed by a very fast entropy stage, provided by Huff0 and FSE library.
This package contains ELF symbols and related sources for debugging
purposes.

%package -n zstd-staticdev
Summary: Zstandard - Fast real-time compression algorithm - Development files (Static Libraries)
License: BSD-3-Clause | GPL-2.0-only
Group: devel
Requires: zstd-dev = 1.5.6-r0

%description -n zstd-staticdev
Zstandard is a fast lossless compression algorithm, targeting real-time
compression scenarios at zlib-level and better compression ratios. It's
backed by a very fast entropy stage, provided by Huff0 and FSE library.
This package contains static libraries for software development.

%package -n zstd-dev
Summary: Zstandard - Fast real-time compression algorithm - Development files
License: BSD-3-Clause | GPL-2.0-only
Group: devel
Requires: libzstd
Recommends: glibc-dev
Recommends: libgcc-dev
Recommends: libstdc++-dev
Recommends: libzstd-dev
Recommends: zstd = 1.5.6-r0

%description -n zstd-dev
Zstandard is a fast lossless compression algorithm, targeting real-time
compression scenarios at zlib-level and better compression ratios. It's
backed by a very fast entropy stage, provided by Huff0 and FSE library.
This package contains symbolic links, header files, and related items
necessary for software development.

%package -n zstd-doc
Summary: Zstandard - Fast real-time compression algorithm - Documentation files
License: BSD-3-Clause | GPL-2.0-only
Group: doc

%description -n zstd-doc
Zstandard is a fast lossless compression algorithm, targeting real-time
compression scenarios at zlib-level and better compression ratios. It's
backed by a very fast entropy stage, provided by Huff0 and FSE library.
This package contains documentation.

%package -n zstd-locale
Summary: Zstandard - Fast real-time compression algorithm
License: BSD-3-Clause | GPL-2.0-only
Group: console/utils

%description -n zstd-locale
Zstandard is a fast lossless compression algorithm, targeting real-time
compression scenarios at zlib-level and better compression ratios. It's
backed by a very fast entropy stage, provided by Huff0 and FSE library.

%package -n libzstd1
Summary: Zstandard - Fast real-time compression algorithm
License: BSD-3-Clause | GPL-2.0-only
Group: console/utils
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.2)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.2)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Provides: libzstd = 1.5.6
Provides: libzstd.so.1()(64bit)

%description -n libzstd1
Zstandard is a fast lossless compression algorithm, targeting real-time
compression scenarios at zlib-level and better compression ratios. It's
backed by a very fast entropy stage, provided by Huff0 and FSE library.

%post -n libzstd1
# libzstd1 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/pzstd"
%attr(755,root,root) "/usr/bin/zstdgrep"
%attr(755,root,root) "/usr/bin/zstdless"
%attr(777,root,root) "/usr/bin/zstdmt"
%attr(755,root,root) "/usr/bin/zstd"
%attr(777,root,root) "/usr/bin/zstdcat"
%attr(777,root,root) "/usr/bin/unzstd"

%files -n zstd-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/zstd"
%attr(755,root,root) %dir "/usr/src/debug/zstd/1.5.6"
%attr(755,root,root) %dir "/usr/src/debug/zstd/1.5.6/lib"
%attr(755,root,root) %dir "/usr/src/debug/zstd/1.5.6/contrib"
%attr(755,root,root) %dir "/usr/src/debug/zstd/1.5.6/programs"
%attr(755,root,root) %dir "/usr/src/debug/zstd/1.5.6/lib/dictBuilder"
%attr(755,root,root) %dir "/usr/src/debug/zstd/1.5.6/lib/compress"
%attr(755,root,root) %dir "/usr/src/debug/zstd/1.5.6/lib/common"
%attr(755,root,root) %dir "/usr/src/debug/zstd/1.5.6/lib/decompress"
%attr(755,root,root) %dir "/usr/src/debug/zstd/1.5.6/lib/legacy"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/zstd_errors.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/zstd.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/zdict.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/dictBuilder/fastcover.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/dictBuilder/divsufsort.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/dictBuilder/zdict.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/dictBuilder/cover.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/dictBuilder/cover.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/dictBuilder/divsufsort.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_opt.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_compress_sequences.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/fse_compress.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_ldm.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_compress_superblock.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/huf_compress.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_cwksp.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_compress_internal.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_lazy.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_compress.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_fast.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_ldm_geartab.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/clevels.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_compress_sequences.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/hist.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_ldm.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_compress_literals.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_lazy.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_compress_literals.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_double_fast.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstdmt_compress.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/hist.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_fast.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_double_fast.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_compress_superblock.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstd_opt.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/compress/zstdmt_compress.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/fse.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/entropy_common.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/huf.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/cpu.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/allocations.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/zstd_common.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/error_private.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/zstd_trace.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/error_private.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/debug.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/mem.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/threading.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/xxhash.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/compiler.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/threading.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/pool.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/fse_decompress.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/bits.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/pool.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/bitstream.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/common/zstd_internal.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/decompress/huf_decompress.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/decompress/zstd_decompress_block.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/decompress/zstd_decompress_block.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/decompress/zstd_decompress.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/decompress/zstd_decompress_internal.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/decompress/zstd_ddict.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/decompress/huf_decompress_amd64.S"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/decompress/zstd_ddict.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/legacy/zstd_legacy.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/legacy/zstd_v06.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/legacy/zstd_v04.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/legacy/zstd_v04.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/legacy/zstd_v07.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/legacy/zstd_v05.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/legacy/zstd_v05.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/legacy/zstd_v06.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/lib/legacy/zstd_v07.h"
%attr(755,root,root) %dir "/usr/src/debug/zstd/1.5.6/contrib/pzstd"
%attr(755,root,root) %dir "/usr/src/debug/zstd/1.5.6/contrib/pzstd/utils"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/Pzstd.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/Pzstd.cpp"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/Logging.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/ErrorHolder.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/Options.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/SkippableFrame.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/main.cpp"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/SkippableFrame.cpp"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/Options.cpp"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/utils/ResourcePool.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/utils/ScopeGuard.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/utils/WorkQueue.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/utils/ThreadPool.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/utils/Buffer.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/utils/Range.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/contrib/pzstd/utils/FileSystem.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/benchfn.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/datagen.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/zstdcli_trace.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/benchfn.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/fileio.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/zstdcli.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/fileio_asyncio.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/fileio.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/fileio_common.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/util.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/zstdcli_trace.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/timefn.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/datagen.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/lorem.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/benchzstd.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/fileio_asyncio.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/benchzstd.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/timefn.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/lorem.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/util.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/fileio_types.h"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/dibio.c"
%attr(644,root,root) "/usr/src/debug/zstd/1.5.6/programs/dibio.h"

%files -n zstd-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libzstd.so.1.5.6"
%attr(755,root,root) %dir "/usr/bin/.debug"
%attr(755,root,root) "/usr/bin/.debug/pzstd"
%attr(755,root,root) "/usr/bin/.debug/zstd"

%files -n zstd-staticdev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/lib/libzstd.a"

%files -n zstd-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/include/zstd_errors.h"
%attr(644,root,root) "/usr/include/zstd.h"
%attr(644,root,root) "/usr/include/zdict.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libzstd.so"
%attr(644,root,root) "/usr/lib/pkgconfig/libzstd.pc"

%files -n zstd-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(777,root,root) "/usr/share/man/man1/unzstd.1"
%attr(644,root,root) "/usr/share/man/man1/zstd.1"
%attr(777,root,root) "/usr/share/man/man1/zstdcat.1"
%attr(644,root,root) "/usr/share/man/man1/zstdless.1"
%attr(644,root,root) "/usr/share/man/man1/zstdgrep.1"

%files -n libzstd1
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(777,root,root) "/usr/lib/libzstd.so.1"
%attr(755,root,root) "/usr/lib/libzstd.so.1.5.6"

%%prep
echo "include logs and patches, Please check them in SOURCES"

